Bug 500 - a lot of files should belong to XFree86-utils: app-defaults, icons, configs...
: a lot of files should belong to XFree86-utils: app-defaults, icons, configs...
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/XFree86)
: unstable
: all Linux
: P4 minor
Assigned To:
:
:
:
:
: 3005
  Show dependency tree
 
Reported: 2002-01-31 21:20 by
Modified: 2005-08-29 01:22 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-01-31 21:20:33
1. /etc/X11/xdm/chooser (and other xdm files: rpm -q XFree86 -l | fgrep xdm) --
is it fine to have some files for xdm, when xdm itself is in another package
(XFree86-utils).
Since xdm is a special program (it may be needed when no other utils have to be
installed, e.g. on X-terminals), I suggest to make a separate pkg with it.

2. App-defaults are read by programs from local filesystem, rather than
provided by the X-server. A corresponding  app-defaults file should accompany
the program binary.

Thus all /etc/X11/app-defaults/* should be moved from XFree86 to XFree86-utils
pkg, where the binaries are. One exception is Chooser which is xdm related.

By what package should be owned the directory app-defaults then?

3. Icons should accompany the program binaries. All icons from XFree86 (rpm -q
XFree86 -l | fgrep icons/) should be moved to XFree86-utils.

4. All twm related files (rpm -q XFree86 | fgrep twm) should  be moved to
XFree86-utils pkg, where twm\'s binary is.

5. rstartd related files (rpm -q XFree86 -l | fgrep rstart) should be moved to
XFree86-utils, since the binary of rstartd is there (and it is really a kind of
X-client).

---

---
------- Comment #1 From 2003-09-23 22:00:40 -------
fixed (XFree86-4.3.0-alt1)